/* $Id: LADSPAPluginDescriptorFactory.hh,v 1.1 2003/08/07 08:57:08 andete Exp $

lemux - LADSPA instrument plugins based on openMSX devices

(c) 2003 Joost Yervante Damad <joost@lumatec.be>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef   __LADSPAPLUGINDESCRIPTORFACTORY_HH__
#define   __LADSPAPLUGINDESCRIPTORFACTORY_HH__

#include <map>

class LADSPAPluginDescriptor;

class LADSPAPluginDescriptorFactory
{
public:
	static void init();
	static void fini();
	static LADSPAPluginDescriptor* get(unsigned long index);

private:
	static std::map<unsigned long, LADSPAPluginDescriptor*> m_descriptorMap;
};

#endif // __LADSPAPLUGINDESCRIPTORFACTORY_HH__
